AdminCaja/Areas/Admin/Models/Section/ContentViewModel.cs
using AdminCaja.Models;
using Resources;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AdminCaja.Areas.Admin.Models
{
    public class ContentViewModel
    {
        public int Id { get; set; }
        public int SectionId { get; set; }

        [MaxLength(25)]
        [Display(Name = "Title", ResourceType = typeof(L))]
        public string Title { get; set; }

        public string FileName { get; set; }
        public HttpPostedFileBase ImageFile { get; set; }
        public bool ContentEnabled { get; set; }

        [AllowHtml]
        public string Body { get; set; }
        public string Language { get; set; }
        public virtual Collection<File> Files { get; set; }
        public bool HasContent { get; set; }
        public bool HasDocuments { get; set; }

    }
}

AdminCaja/Areas/Admin/Models/Section/SectionListViewModel.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using Resources;

namespace AdminCaja.Areas.Admin.Models
{
    public class SectionListViewModel
    {
        public int Id { get; set; }

        [MaxLength(15)]
        [Required(ErrorMessageResourceName ="SeccionNameRequired", ErrorMessageResourceType = typeof(L))]
        [Display(Name = "Name", ResourceType =typeof(L))]
        public string Name { get; set; }

        [Display(Name = "Public", ResourceType = typeof(L))]
        public bool IsPublic { get; set; }
        public bool IsFixed { get; set; }

    }
}

AdminCaja/Areas/Admin/Models/Section/SectionViewModel.cs
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using AdminCaja.Models;
using Resources;

namespace AdminCaja.Areas.Admin.Models
{
    public class SectionViewModel: SectionListViewModel
    {
        public string Language { get; set; }
        public bool HasContent { get; set; }
        public bool HasDocuments { get; set; }
        public ContentViewModel Content { get; set; }
        public virtual Collection<SubSection> SubSections { get; set; }

    }
}

AdminCaja/Areas/Admin/Models/Section/SubSectionListViewModel.cs
using AdminCaja.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace AdminCaja.Areas.Admin.Models.Section
{
    public class SubSectionListViewModel
    {
        public int Id { get; set; }

        [MaxLength(50)]
        public string Title { get; set; }
        public string Image { get; set; }
        public string Language { get; set; }
        public SubSectionType Type { get; set; }

    }
}

AdminCaja/Models/Section.cs
using DataAnnotationsExtensions;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace AdminCaja.Models
{
    public enum SectionType
    {
        Custom, Caja, Gobierno, Comunicados, Novedades
    }

    public class Section
    {
        [Key]
        public int Id { get; set; }

        [MaxLength(25)]
        public string Name { get; set; }
        public bool IsPublic { get; set; }
        public SectionType Type { get; set; } = SectionType.Custom;
        public bool HasContent { get; set; } = true;
        public bool HasDocuments { get; set; } = true;
        public virtual Collection<Content> Contents { get; set; }
        public virtual Collection<SubSection> SubSections { get; set; }
    }

}

AdminCaja/Areas/Admin/Controllers/SectionController.cs
using AdminCaja.Areas.Admin.Models;
using AdminCaja.Areas.Admin.Models.Section;
using AdminCaja.Areas.Admin.Services;
using AdminCaja.Controllers;
using AdminCaja.Models;
using AutoMapper;
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;

namespace AdminCaja.Areas.Admin.Controllers
{
    [Authorize]
    public class SectionController : BaseController
    {
        private ISectionService _sectionService;
        private IFileService _fileService;
        private IMapper _mapper;
        private ApplicationDbContext _context;

        public SectionController(ISectionService sectionService, IFileService fileService, IMapper mapper, ApplicationDbContext applicationDbContext)
        {
            _sectionService = sectionService;
            _fileService = fileService;
            _mapper = mapper;
            _context = applicationDbContext;
        }

        #region Secciones
            [HttpGet]
            public async Task<ActionResult> Index(int Page = 1, int ItemsPerPage = 10)
            {
                var items = await _sectionService.GetSectionsAsync(Page, ItemsPerPage);
                return View(items);
            }

            [HttpGet]
            public ActionResult NewSectionListItem()
            {
                var model = new SectionListViewModel();
                return PartialView("NewSection",model);
            }

            [HttpPost]
            public async Task<ActionResult> SaveSectionListItem(SectionListViewModel model)
            {
                if (ModelState.IsValid)
                {
                    var section = _mapper.Map<Section>(model);
                    section = await _sectionService.SaveSectionAsync(section);
                    return Json(new ResultModelModalResult { execute = true, url = Url.Action("EditSection", new { id = section.Id }) });
                }

                return View(model);
            }

            [HttpGet]
            public async Task<ActionResult> EditSection(int id, string lang)
            {
                if(string.IsNullOrEmpty(lang)) lang = "es";

                var section = await _sectionService.GetSectionAsync(id);
                if(section != null)
                {
                    var content = section.Contents.Where(_ => _.Language == lang).FirstOrDefault();
                    if(content == null)
                    {
                        content = new Content { Language = lang, SectionId = section.Id, Section = section };
                    }

                    var model = _mapper.Map<SectionViewModel>(section);
                    model.Content = _mapper.Map<ContentViewModel>(content);
                    model.Language = lang;
                
                    return View(model);
                }

                return HttpNotFound();
            }
            [HttpGet]
            public async Task<ActionResult> GetContent(int Id)
            {
                var content = await _sectionService.GetContentAsync(Id);
                return PartialView("EditForm", _mapper.Map<ContentViewModel>(content));
            }

            [HttpPost]
            public async Task<ActionResult> SaveSection(ContentViewModel model)
            {
                if (ModelState.IsValid)
                {
                    try
                    {
                        var content = _mapper.Map<Content>(model);

                        if (model.ImageFile != null && model.ImageFile.ContentLength > 0)
                        {
                            if (!string.IsNullOrEmpty(content.Image))
                                _fileService.DeleteImage(content.Image);

                            content.Image = _fileService.SaveFile(model.ImageFile);
                        }

                        content = await _sectionService.SaveContentAsync(content);

                        return PartialView("EditForm", _mapper.Map<ContentViewModel>(content));

                    }catch (Exception ex)
                    {
                        return HttpNotFound();
                    }
                }

                return PartialView("EditForm", model);
            }

            [HttpPost]
            public async Task<ActionResult> AddFile(FileViewModel model)
            {
                if (ModelState.IsValid)
                {
                    try
                    {
                        if (model.file != null && model.file.ContentLength > 0)
                        {
                            var fileName = _fileService.SaveFile(model.file);

                            var file = new File { ContentId = model.ContentId, Path = fileName, FileName = model.file.FileName, Language = model.language };

                            _context.Files.Add(file);
                            await _context.SaveChangesAsync();

                            return Json(new ResultModelSuccess());
                        }
                    }
                    catch (Exception ex)
                    {
                        return Json(new ResultModel(ex));
                    }
                }

                return Json(new ResultModel(new Exception("Modelo no valido")));
            }


            [HttpGet]
            public async Task<ActionResult> DeleteFile(int Id)
            {
                var file = await _context.Files
                    .Include(x => x.Content)
                    .Where(x => x.Id == Id)
                    .FirstOrDefaultAsync();

                if(file != null)
                {
                    var content = file.Content;
                    _fileService.DeleteImage(file.Path);
                    _context.Files.Remove(file);
                    await _context.SaveChangesAsync();

                    return PartialView("EditForm", _mapper.Map<ContentViewModel>(content));
                }

                return HttpNotFound();
            }
        #endregion

        #region SubSecciones
        public async Task<ActionResult> SubSections(int Id)
        {
            var subSections = await _context.SubSection.Where(x => x.SectionId == Id && x.Language == "es")
                .Include(x=> x.Section)
                .ToListAsync();
            var model = _mapper.Map<List<SubSectionListViewModel>>(subSections);
            return PartialView("_SubSectionsPartial",model);
        }


        #endregion
    }
}

AdminCaja/Areas/Admin/Views/Section/EditFormDocuments.cshtml
@using AdminCaja.Models
@using System.Collections.ObjectModel
@model Collection<AdminCaja.Models.File>
<div class="form-group">
    <table>
        <thead>
            <tr>
                <th scope="col">Documento</th>
                <th scope="col">Acciones</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td data-label="Slide">@item.FileName</td>
                    <td class="comandos" data-label="Acciones"><a href="subsec-create.html" class="btn btn-success">Editar</a> 
                    <a href="#" onclick="deleteFile(@item.Id)" class="btn btn-success">Eliminar</a></td>
                </tr>

            }
        </tbody>
    </table>
</div>

AdminCaja/Areas/Admin/Views/Section/EditSection.cshtml
@using AdminCaja.Areas.Admin.Models
@model SectionViewModel

@{
    var lenguajes = new List<DefinicionLenguajes> { new DefinicionLenguajes { Name = "Español", lang = "es" }, new DefinicionLenguajes { Name = "Inglés", lang = "en" } };
}
<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Secciones</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item active"><a href="/Admin/Section">Secciones</a></li>
            <li class="breadcrumb-item active">Editar Sección</li>
        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="col-12 help-content">
    <ul class="nav nav-tabs wow slideInRight" data-wow-offset="300" id="myTab" role="tablist">
        @foreach (var item in lenguajes)
        {
            if (item.lang == Model.Language)
            {
                <li class="nav-item">
                    <a class="nav-link active" id="spa-tab" data-toggle="tab" href="#langactivo" role="tab" aria-controls="spa" aria-selected="true">@item.Name</a>
                </li>

            }
            else
            {
                <li class="nav-item">
                    <a class="nav-link" id="@item.lang-tab" href="/Admin/Section/EditSection/@Model.Id?lang=@item.lang" role="tab" aria-controls="eng" aria-selected="false">@item.Name</a>
                </li>
            }

        }
        @*
                <li class="nav-item"> <a class="nav-link active" id="spa-tab" data-toggle="tab" href="#spa" role="tab" aria-controls="spa" aria-selected="true">Español</a> </li>
            <li class="nav-item"> <a class="nav-link" id="eng-tab" data-toggle="tab" href="#eng" role="tab" aria-controls="eng" aria-selected="false">Inglés</a> </li>*@
        <!-- <li class="nav-item"> <a class="nav-link" id="por-tab" data-toggle="tab" href="#por" role="tab" aria-controls="por" aria-selected="false">Portugués</a> </li> -->
    </ul>
    <div class="card wow slideInRight" data-wow-offset="300">
        <!-- <div class="card-block bg-info">
                            <h4 class="text-white card-title">Glosario</h4>
                        </div> -->
        <div class="card-block">
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane show active" id="spa" role="tabpanel" aria-labelledby="spa-tab">
                    @Html.Partial("_EditFormPartial", Model.Content)
                </div>
            </div>
        </div>
    </div>
</div>

<div id="subsecciones">
</div>

<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->

@section  Scripts{

    <script>
        $(document).on('ready', function () {
            // initialization of select picker
            $.HSCore.components.HSSelectPicker.init('.js-select');

            // initialization of text editors
            initSummerNote();
            // initialization of range datepicker
            $.HSCore.components.HSRangeDatepicker.init('.js-range-datepicker');

            $("#subsecciones").load("/Admin/Section/SubSections/@Model.Id");
        });

        function initSummerNote() {
            $.HSCore.components.HSSummernoteEditor.init('.js-summernote-editor');
        }
    </script>
}

AdminCaja/Areas/Admin/Views/Section/Index.cshtml
@using AdminCaja.Areas.Admin.Models
@model PaggedData<SectionListViewModel>

<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Administrador de secciones</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="index.html">Inicio </a></li>
            <li class="breadcrumb-item active"><a href="secciones.html">Secciones</a></li>
        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <!-- column -->
    <div class="col-lg-12 help-content">
        <div id="" class="card wow slideInRight" data-wow-delay=".3s" data-wow-offset="300">
            <div class="perfil-head"></div>
            <dir class="row">
                <div class="col-lg-8"></div>
                <div class="col-lg-4">
                    <p>@Html.ActionLink("Agregar sección", "NewSectionListItem", null, new { @class = "btn btn-success", data_modal="popup" })</p>
                </div>
            </dir>
            <div class="card-block">
                <div class="table-responsive">
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-end">
                            <li class="page-item res-per-page">Página <strong>@Model.CurrentPage/@Model.Pages</strong></li>
                            <li class="page-item res-per-page">Resultados por página</li>
                            <li class="page-item ">
                                <select name="resurlt" form="">
                                    <option value="10">10</option>
                                    <option value="20">20</option>
                                    <option value="30">30</option>
                                    <option value="40">40</option>
                                </select>
                            </li>
                        </ul>
                    </nav>
                    <br>
                    <table>
                        <thead>
                            <tr>
                                <th scope="col">ID</th>
                                <th scope="col">Título</th>
                                <th scope="col">Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Data)
                            {
                                <tr>
                                    <td data-label="Tipo">@item.Id</td>
                                    <td data-label="Título">@item.Name</td>
                                    <td class="comandos" data-label="Acciones">
                                        <a href="/Admin/Section/editsection/@item.Id" class="btn btn-export">Editar</a>
                                        @if (!item.IsFixed)
                                        {
                                            <a href="#" data-toggle="modal" data-target="#eliminar" class="btn btn-export">Eliminar</a>
                                        }
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                    @Html.Partial("_paggedBar", Model)
                </div>
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->
@section  scripts
{
    <script>
        function modalFormExecute(key, result) {
            window.location.href = result.url;
        }
    </script>
}

AdminCaja/Areas/Admin/Views/Section/NewSection.cshtml
@using AdminCaja.Areas.Admin.Models
@model SectionListViewModel

    @using (Html.BeginForm("SaveSectionListItem", "Section",FormMethod.Post,  new { @class = "form-horizontal form-material"}))
    {
        @Html.HiddenFor(m => m.Id)
        @Html.AntiForgeryToken()

        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Nueva sección</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <div class="form-group">
                @Html.LabelFor(m => m.Name, new { htmlAttributes = new { @class = "form-control form-control-line" } })
                @Html.EditorFor(m => m.Name, new { htmlAttributes = new { @class = "form-control form-control-line" } })
                @Html.ValidationMessageFor(m => m.Name)
            </div>
        </div>

        <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Crear</button>
            <button type="button" data-dismiss="modal" class="btn btn-primary">Cancelar</button>
        </div>
    }

AdminCaja/Areas/Admin/Views/Section/_EditFormPartial.cshtml
@using AdminCaja.Areas.Admin.Models
@using AdminCaja.Helpers
@model ContentViewModel
@{
    var options = new AjaxOptions()
    {
        InsertionMode = InsertionMode.Replace,
        UpdateTargetId = "formContainer",
        OnComplete = "initSummerNote()"
    };
}

    <div id="formContainer">
        @using (Ajax.BeginForm("SaveSection", "Section", options, new { @class = "form-horizontal form-material", id = "EditForm", enctype = "multipart/form-data" }))
        {
            <input type="hidden" name="Id" id="Id" value="@Model.Id" />
            @Html.HiddenFor(m => m.SectionId)
            @Html.HiddenFor(m => m.Language)

            @Html.AntiForgeryToken()

            <div class="form-group">
                @Html.LabelFor(m => m.Title, new { htmlAttributes = new { @class = "form-control form-control-line" } })
                @Html.EditorFor(m => m.Title, new { htmlAttributes = new { @class = "form-control form-control-line" } })
                @Html.ValidationMessageFor(m => m.Title)
            </div>

            <div class="form-group">
                <div class="d-flex justify-content-between align-items-center mb-2">
                    <label class="h6 small d-block text-uppercase mb-0">Cargar imagen de Encabezado</label>
                </div>
                <div class="js-focus-state input-group u-form">

                    <input type="file" name="ImageFile" id="ImageFile" style="position: absolute;" class="inputfile custom form-control u-form__input" />
                    <label for="ImageFile"><span id="file_name">@Model.FileName</span><strong>Seleccionar imagen</strong></label>
                </div>
            </div>
            if (Model.HasContent)
            {
                <div class="form-group">
                    <label class="h6 small d-block text-uppercase mb-0">Habilitar Contenidos</label><br>
                    <span class="switch-text t1">Deshabilitar  </span>
                    @Html.CustomCheckBoxFor(m => m.ContentEnabled)
                    <span class="switch-text t2">  Habilitar</span>
                </div>
            }
    <div id="target">
        @if (Model.HasContent)
        {

            <div class="form-group">
                <label class="h6 small d-block text-uppercase">Cuerpo de publicación</label>
                <div class="js-focus-state input-group u-form">
                    <div class="u-summernote-editor" style="width: 100%">
                        @Html.TextAreaFor(m => m.Body, new { @class = "js-summernote-editor", data_height = "240" })
                    </div>
                </div>
            </div>
        }

        @if (Model.HasDocuments)
        {

            <div class="form-group">
                <div class="d-flex justify-content-between align-items-center mb-2">
                    <label class="h6 small d-block text-uppercase mb-0">Cargar documentos descargables</label>
                </div>
                <div class="js-focus-state input-group u-form">
                    <input type="file" name="DocFile" id="DocFile"
                           onchange="handleFiles(this.files);"
                           style="position: absolute;" class="inputfile custom form-control u-form__input" />
                    <label for="DocFile"><span id="file_name">archivo.doc</span><strong>Seleccionar documento</strong></label>
                    <div id="progress" class="progress hide">
                        <div class="progress-bar" role="progressbar" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100" style="width:0%">
                            <span class="sr-only">0% Completado</span>
                        </div>
                    </div>
                </div>
            </div>
            @Html.Partial("EditFormDocuments", Model.Files)
        }
        </div>
            <div class="col-md-12 mt-5">
                <button type="submit" class="btn btn-primary u-btn-primary transition-3d-hover">Publicar</button>
            </div>
        }
    </div>


@using (Html.BeginScripts())
{
    <script>

        function handleFiles(files) {

            if (files.length > 0) {
                var file = files[0];
                uploadFile(file,
                    function (data) {
                        $("#formContainer").load("/Admin/Section/GetContent/@Model.Id",
                            function () {
                                initSummerNote();
                            });
                        
                },
                    function (p) { progress(p); });
            }
        };

        function uploadFile(file, success, progress) {
            var ajaxData = new FormData();
            var bloque = $("#progress");

            bloque.show();

            function progress(percent, bloque) {
                bloque.find('.progress-bar').css({
                    width: percent * 100 + '%'
                }).attr('aria-valuenow', percent * 100);
                if (percent === 1) {
                    bloque.children('.progress-bar').addClass('hide');
                }
            }

            ajaxData.append("ContentId", @Model.Id);
            ajaxData.append("file", file);
            ajaxData.append("language", "@Model.Language");

            $.ajax({
                url: '/Admin/Section/AddFile', type: 'post', data: ajaxData, dataType: 'json',
                contentType: false, processData: false,
                complete: function () { success; },
                success: function (data) {
                    console.log("Imagen subida", data);
                    bloque.hide();
                    success(data);
                },
                xhr: function () {
                    var xhr = new window.XMLHttpRequest();
                    xhr.upload.addEventListener("progress", function (evt) {
                        if (evt.lengthComputable) {
                            var percentComplete = evt.loaded / evt.total;
                            progress(percentComplete, bloque);
                        }
                    }, false);
                    xhr.addEventListener("progress", function (evt) {
                        if (evt.lengthComputable) {
                            var percentComplete = evt.loaded / evt.total;
                            progress(percentComplete, bloque);
                        }
                    }, false);
                    return xhr;
                }
            });
        }

        function deleteFile(id) {
            $("#formContainer").load("/Admin/Section/DeleteFile/" + id,
                            function () {
                                initSummerNote();
                            });
        }
    </script>
}

AdminCaja/Areas/Admin/Views/Section/_SubSectionsPartial.cshtml
@using AdminCaja.Areas.Admin.Models.Section
@model List<SubSectionListViewModel>

<div class="col-12 help-content">
    <div id="" class="card wow slideInRight" data-wow-delay=".3s" data-wow-offset="300" style="visibility: visible; animation-delay: 0.3s; animation-name: slideInRight;">
        <div class="perfil-head"></div>
        <dir class="row">
            <div class="col-lg-8"></div>
            <div class="col-lg-4">
                <p><a href="subsec-create.html" class="btn btn-export">Agregar subsección</a></p>
            </div>
        </dir>
        <div class="card-block">
            <div class="table-responsive">
                <nav aria-label="Page navigation example">
                    <ul class="pagination justify-content-end">
                        <li class="page-item res-per-page">Página <strong>1/1</strong></li>
                        <li class="page-item res-per-page">Resultados por página</li>
                        <li class="page-item ">
                            <select name="resurlt" form="">
                                <option value="10">10</option>
                                <option value="20">20</option>
                                <option value="30">30</option>
                                <option value="40">40</option>
                            </select>
                        </li>
                    </ul>
                </nav>
                <br>
                <table>
                    <thead>
                        <tr>
                            <th scope="col">Subsección</th>
                            <th scope="col">Título</th>
                            <th scope="col">Tipo</th>
                            <th scope="col">Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model)
                        {
                            <tr>
                                <td data-label="Slide">@item.Id</td>
                                <td data-label="Título">@item.Title</td>
                                <td data-label="Título">Plantilla editable</td>
                                <td class="comandos" data-label="Acciones">
                                    <a href="/Admin/Section/EditSubSection/@item.Id" class="btn btn-success">Editar</a> 
                                    <a href="subsec-create.html" class="btn btn-success">Eliminar</a></td>
                            </tr>
                        }
                    </tbody>
                </table>
                <br>
                <div class="resultados">
                    <p>Resultados encontrados: <strong>20</strong></p>
                </div>
                <nav aria-label="Page navigation example" class="paginado">
                    <ul class="pagination justify-content-end">
                        <li class="page-item disabled"> <a class="page-link" href="#" tabindex="-1">Anterior</a> </li>
                        <li class="page-item"><a class="page-link" href="#">1</a></li>
                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                        <li class="page-item"> <a class="page-link" href="#">Siguiente</a> </li>
                    </ul>
                </nav>
            </div>
        </div>
    </div>
</div>